### Function Macro

# Dex COROUTINE_BEGIN

#### Declaration [src]

    #define DEX_COROUTINE_BEGIN (
      context
    )

#### Description [src]

Used in a coroutine function body to establish coroutine state.

The `context` argument is expected to be a `DexCoroutineContext`.

Coroutine functions are expected to return `DexFuture` for completion, and return `NULL` while suspended. When suspended, `pending` contains the awaited future and is owned by the coroutine state.

This function is not directly available to language bindings.

#### Parameters

`context`

  Type: `-`

  No description available.